## org.apache.batik.apps.svgbrowser
Class HistoryBrowserInterface.AttributeAddedCommand

    java.lang.Object
      org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
          org.apache.batik.apps.svgbrowser.HistoryBrowserInterface.AttributeAddedCommand

All Implemented Interfaces:
  UndoableCommand

Enclosing class:
  HistoryBrowserInterface

    public static class HistoryBrowserInterface.AttributeAddedCommand

extends AbstractUndoableCommand

Adds the attribute to an element (MutationEvent.ADDITION)

Field Summary
`protected java.lang.String` `attributeName` The attribute name.
`protected org.w3c.dom.Element` `contextElement` The context element.
`protected java.lang.String` `namespaceURI` The namespaceURI.
`protected java.lang.String` `newValue` The attribute value.

Fields inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`name`

Constructor Summary
`HistoryBrowserInterface.AttributeAddedCommand(java.lang.String commandName, org.w3c.dom.Element contextElement, java.lang.String attributeName, java.lang.String newAttributeValue, java.lang.String namespaceURI)` Constructor.

Method Summary
`void` `execute()` Executes this command.
`void` `redo()` Performs redo for this command.
`boolean` `shouldExecute()` Tests if the command can be executed.
`void` `undo()` Performs undo for this command.

Methods inherited from class org.apache.batik.apps.svgbrowser.AbstractUndoableCommand
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contextElement

    protected org.w3c.dom.Element contextElement

  The context element.

### attributeName

    protected java.lang.String attributeName

  The attribute name.

### newValue

    protected java.lang.String newValue

  The attribute value.

### namespaceURI

    protected java.lang.String namespaceURI

  The namespaceURI.

Constructor Detail

### HistoryBrowserInterface.AttributeAddedCommand

    public HistoryBrowserInterface.AttributeAddedCommand(java.lang.String commandName,
                                                         org.w3c.dom.Element contextElement,
                                                         java.lang.String attributeName,
                                                         java.lang.String newAttributeValue,
                                                         java.lang.String namespaceURI)

  Constructor.

  Parameters:
    `commandName` - The name of this command.
    `contextElement` - The context element
    `attributeName` - The attribute name
    `newAttributeValue` - The attribute value
    `namespaceURI` - The namespaceURI

Method Detail

### execute

    public void execute()

  Description copied from interface: `UndoableCommand`
  Executes this command.

  Specified by:
    `execute` in interface `UndoableCommand`
  Overrides:
    `execute` in class `AbstractUndoableCommand`

### undo

    public void undo()

  Description copied from interface: `UndoableCommand`
  Performs undo for this command.

  Specified by:
    `undo` in interface `UndoableCommand`
  Overrides:
    `undo` in class `AbstractUndoableCommand`

### redo

    public void redo()

  Description copied from interface: `UndoableCommand`
  Performs redo for this command.

  Specified by:
    `redo` in interface `UndoableCommand`
  Overrides:
    `redo` in class `AbstractUndoableCommand`

### shouldExecute

    public boolean shouldExecute()

  Description copied from interface: `UndoableCommand`
  Tests if the command can be executed.

  Specified by:
    `shouldExecute` in interface `UndoableCommand`
  Overrides:
    `shouldExecute` in class `AbstractUndoableCommand`
  Returns:
    True if command should be executed

Copyright © 2008 Apache Software Foundation. All Rights Reserved.